Runtime

## org.eclipse.gmf.runtime.emf.type.core
Class EditHelperContext

    java.lang.Object
      org.eclipse.gmf.runtime.emf.type.core.EditHelperContext

All Implemented Interfaces:
  IEditHelperContext

public class EditHelperContext
extends java.lang.Object
implements IEditHelperContext

The concrete implementation of the context of an editing gesture. It represents the `EObject` or `IElementType` that is the subject of the editing action, and the `IClientContext` in which the editing will be performed.

This class may be instantiated by clients.

Constructor Summary
`EditHelperContext()` Constructs a new context object.
`EditHelperContext(EObject eObject, IClientContext clientContext)` Constructs a new context with an `eObject` and a `clientContext` which describe the context in which an editing gesture will be made.
`EditHelperContext(IElementType elementType, IClientContext clientContext)` Constructs a new context with an `elementType` and a `clientContext` which describe the context in which an editing gesture will be made.

Method Summary
`IClientContext` `getClientContext()` Gets the client context in which the editing gesture will be performed.
`IElementType` `getElementType()` Gets the `IElementType` that is the subject of the editing action.
`EObject` `getEObject()` Gets the `EObject` that is the subject of the editing action.
`void` `setClientContext(IClientContext clientContext)` Sets the client context in which the editing gesture will be performed.
`void` `setElementType(IElementType elementType)` Sets the `EObject` that is the subject of the editing gesture.
`void` `setEObject(EObject eObject)` Sets the `EObject` that is the subject of the editing gesture.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EditHelperContext

    public EditHelperContext()

  Constructs a new context object.

### EditHelperContext

    public EditHelperContext(EObject eObject,
                             IClientContext clientContext)

  Constructs a new context with an `eObject` and a `clientContext` which describe the context in which an editing gesture will be made.

Parameters:
  `eObject` - the `EObject` that is the subject of the editing gesture
  `clientContext` - the client context

### EditHelperContext

    public EditHelperContext(IElementType elementType,
                             IClientContext clientContext)

  Constructs a new context with an `elementType` and a `clientContext` which describe the context in which an editing gesture will be made.

Parameters:
  `elementType` - the `IElementType` that is the subject of the editing gesture
  `clientContext` - the client context

Method Detail

### getClientContext

    public IClientContext getClientContext()

  Description copied from interface: `IEditHelperContext`
  Gets the client context in which the editing gesture will be performed.

  Specified by:
    `getClientContext` in interface `IEditHelperContext`
  Returns:
    the client context

### setClientContext

    public void setClientContext(IClientContext clientContext)

  Sets the client context in which the editing gesture will be performed.

  Parameters:
    `clientContext` - the client context

### getEObject

    public EObject getEObject()

  Description copied from interface: `IEditHelperContext`
  Gets the `EObject` that is the subject of the editing action.

  Specified by:
    `getEObject` in interface `IEditHelperContext`
  Returns:
    the subject of the editing action

### setEObject

    public void setEObject(EObject eObject)

  Sets the `EObject` that is the subject of the editing gesture.

  Parameters:
    `eObject` - the eObject

### getElementType

    public IElementType getElementType()

  Description copied from interface: `IEditHelperContext`
  Gets the `IElementType` that is the subject of the editing action.

  Specified by:
    `getElementType` in interface `IEditHelperContext`
  Returns:
    the element type

### setElementType

    public void setElementType(IElementType elementType)

  Sets the `EObject` that is the subject of the editing gesture.

  Parameters:
    `elementType` - the element type

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.